PDA

View Full Version : [ubuntu] error: no acceptable C compiler found in $PATH



yuly4n
February 28th, 2011, 02:31 PM
error: no acceptable C compiler found in $PATH

i have an ubuntu 10.10

SeijiSensei
February 28th, 2011, 02:49 PM
sudo apt-get install build-essential

will download and install what you need to compile most things. If you're trying to build your own copy of an application also available from the repositories, you also need to run

sudo apt-get build-dep [name of package]

which will download any needed dependencies like headers.

devilworld2
February 15th, 2013, 03:00 PM
thanks SeijiSensei

using your advice for lubuntu, as i'm a linux noob